%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           libmawk
Version:        1.0.4
Release:        %mkrel 1
Summary:        Embed awk scripting language in any application written in C
Group:          System/Libraries
License:        GPLv2
URL:            http://repo.hu/projects/libmawk
Source0:        http://repo.hu/projects/libmawk/releases/%{name}-%{version}.tar.gz

BuildRequires:  gcc

%description
Libmawk is a fork of mawk 1.3.3 restructured for embedding.
This provides libmawk.h and libmawk.so and can embed
awk scripting language in any application written in C.

%package -n %{libname}
Summary:        Library files for dynamic linking

%description -n %{libname}
Libmawk is a fork of mawk 1.3.3 restructured for embedding.
This provides libmawk.h and libmawk.so and can embed
awk scripting language in any application written in C.

%package -n %{devname}
Summary:        Development files
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
HTML documentation for %{name}.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -fcommon"
./"configure" --prefix=%{_prefix} --symbols
%make_build

%install
%make_install LIBDIR=%{buildroot}/%{_libdir} LIBARCHDIR=%{buildroot}/%{_libdir} \
              LIBPATH=%{buildroot}/%{_libdir}/%{name}

%files -n %{libname}
%license src/libmawk/COPYING
%doc AUTHORS README Release_notes
%{_libdir}/*.so.%{major}{,.*}
%{_bindir}/lmawk
%{_libdir}/%{name}/*.awk
%{_mandir}/man1/*

%files -n %{devname}
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_includedir}/*
%{_libdir}/*.so

%files doc
%doc %{_docdir}/%{name}


%changelog
* Tue Apr 09 2024 barjac <barjac> 1.0.4-1.mga10
+ Revision: 2056055
- new version 1.0.4

* Tue Mar 15 2022 umeabot <umeabot> 1.0.3-2.mga9
+ Revision: 1793683
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 barjac <barjac> 1.0.3-1.mga9
+ Revision: 1749453
- new version 1.0.3
- drop patch fixed upstream

* Wed Aug 05 2020 joequant <joequant> 1.0.2-3.mga8
+ Revision: 1611053
- fix multiple defines
- redo deps

* Mon Feb 17 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1537666
- Mageia 8 Mass Rebuild

* Tue Nov 05 2019 barjac <barjac> 1.0.2-1.mga8
+ Revision: 1458262
- new version 1.0.2

* Wed Mar 13 2019 barjac <barjac> 1.0.1-1.mga7
+ Revision: 1375540
- adapt spec for Mageia
- import from Fedora


* Thu Feb 28 2019 Alain <alain vigne 14 AT gmail com> - 1.0.1-1
- New upstream release
- Install awklib library
- Install man pages

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Dec 01 2018 Alain <alain vigne 14 AT gmail com> - 1.0.0-1
- Initial proposal
